void drawUserInfo(){
    float currentPosts = map(posts[selectedImageID], 0, maxPosts, 0, img[selectedImageID].width);
    float currentFollows = map(follows[selectedImageID], 0, maxFollowInfo, 0, img[selectedImageID].height);
    float currentFollowBy = map(followedBy[selectedImageID], 0, maxFollowInfo, 0, img[selectedImageID].height);  
    
    stroke(#06AED6, 80);
    strokeWeight(1);
    line((width + leftMargin + height)/2, marginY + img[selectedImageID].height/2, 
         (width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height/2 + lineDist);
    line((width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height*3/2 + lineDist, 
         (width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height*3/2 + lineDist*5);
    
    //those two lines are for left and right direction
    line((width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3, 
         (width + leftMargin + height)/2 - 20, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3);
    line((width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3, 
         (width + leftMargin + height)/2 + 20, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3);
    
    //for follows and followBy
    strokeCap(SQUARE);
    strokeWeight(12);
    line((width + leftMargin + height)/2 - 20 - 6, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3 - currentFollows/2,
         (width + leftMargin + height)/2 - 20 - 6, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3 + currentFollows/2);
    textAlign(RIGHT, CENTER);     
    text(follows[selectedImageID], (width + leftMargin + height)/2 - 20 - 15, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3); 
    line((width + leftMargin + height)/2 + 20 + 6, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3 - currentFollowBy/2,
         (width + leftMargin + height)/2 + 20 + 6, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3 + currentFollowBy/2);    
    textAlign(LEFT, CENTER);
    text(followedBy[selectedImageID], (width + leftMargin + height)/2 + 20 + 15, marginY + profileImg[selectedImageID].height*3/2 + lineDist*3);  
    
    imageMode(CENTER);
    image(img[selectedImageID], (width + leftMargin + height)/2, marginY);
    image(profileImg[selectedImageID], (width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height + 50);
    
    //for frames of the iamges
    rectMode(CENTER);
    noFill();
    stroke(#06AED6, 80);
    strokeWeight(1);
    rect((width + leftMargin + height)/2, marginY, img[selectedImageID].width, img[selectedImageID].height);
    rect((width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height + 50, 
         profileImg[selectedImageID].width, profileImg[selectedImageID].height);
    
    //for posts
    stroke(#06AED6, 80);
    fill(#06AED6, 50);
    ellipse((width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height*3/2 + lineDist*5 + currentPosts/2, currentPosts, currentPosts);
    fill(#1A1A1A);
    textAlign(CENTER, CENTER);
    text(posts[selectedImageID], (width + leftMargin + height)/2, marginY + profileImg[selectedImageID].height*3/2 + lineDist*5 + currentPosts + 10);
    
    //some general info
    fill(#06AED6, 50);
    stroke(#06AED6, 80);
    rect((width + leftMargin + height)/2, 190, img[selectedImageID].width, 80);
    fill(#1A1A1A);
    textAlign(LEFT, CENTER);
    text("Keyword: " + keyword, height + leftMargin + 20, 160);
    text("Total Images: " + count, height + leftMargin + 20, 190);
    text("Total Tag Numbers: " + finalCount.length,height + leftMargin + 20, 220);
    
}
